[Numpy-tickets] [NumPy] #754: setup.py not recognizing gcc on install

NumPy numpy-tickets@scipy....
Wed Apr 23 21:02:10 CDT 2008


#754: setup.py not recognizing gcc on install
----------------------+-----------------------------------------------------
 Reporter:  Baphijmm  |       Owner:  somebody
     Type:  task      |      Status:  new     
 Priority:  normal    |   Milestone:          
Component:  Other     |     Version:  none    
 Severity:  normal    |    Keywords:          
----------------------+-----------------------------------------------------
 I am running a SPARCstation 20 under Solaris 9; upon attempting "sudo
 python setup.py install", I continuously get the following error:

 cc -DNDEBUG -x03 -xtarget=ultra -xarch=v8 -IInclude -IPackages/FFT/Include
 -IPackages/RNG/Include -I/opt/csw/include/python2.5 -c Src/_numpymodule.c
 -o build/temp.solaris-2.9-sun4m-2.5/Src/_numpymodule.o
 /usr/ucb/cc: language optional software package not installed
 error: command 'cc' failed with exit status 1

 I know this means that cc isn't installed on the machine; in fact, it is
 not.  However, gcc is, and according to what I'm seeing in the setup.py
 code, it should be able to recognize this fact (I'm somewhat new to Python
 though, so I'm not at all certain).  What am I doing wrong, and what can I
 do to fix this?

 I'm sorry if this is the wrong place to ask this; I have no other ideas
 where to go, and the internet turns up nothing.

-- 
Ticket URL: <http://scipy.org/scipy/numpy/ticket/754>
NumPy <http://projects.scipy.org/scipy/numpy>
The fundamental package needed for scientific computing with Python.


More information about the Numpy-tickets mailing list